body {
  background: #ffecd8;
  margin: 0;
  display: flex;
  place-items: center;
  min-width: 320px;
  min-height: 100vh;
}

#root {
  width: 40%;
  margin: 0 auto;
  padding: 2rem;
  background: white;
  font-family: Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;
  color-scheme: light dark;
  color: #242424;
  font-synthesis: none;
}
button {
  font-size: 1.3rem;
  font-weight: 400;
  background: #4c53f1 !important;
  border: none;
  color: white;
  cursor: pointer;
}

.header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: relative;
  &:after {
    content: "";
    height: 1px;
    background: blanchedalmond;
    left: 0;
    bottom: 10%;
    width: 100%;
    position: absolute;
  }
  h1 {
    font-size: 3.2em;
    line-height: 1.1;
  }
  .date h2,
  p {
    margin: 0;
  }
  .calendar {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
}

.form {
  form {
    display: grid;
    grid-template-columns: 85% 13%;
    gap: 2%;
    padding: 10px 0;
    input {
      border: 1px solid rgb(155, 153, 153);
      padding: 0.6em 1.2em;
      font-size: 1.1rem;
      font-weight: 500;
      font-family: inherit;
    }
  }
}
.item {
  padding: 5px 0;
  display: grid;
  grid-template-columns: 85% 13%;
  justify-content: space-between;
  &:has(input:checked) > label {
    color: #959595;
    text-decoration: line-through;
  }

  label {
    display: flex;
    align-items: center;
    font-size: 1rem;
    font-weight: 500;
    gap: 10px;
  }

  input {
    appearance: none;
    width: 30px;
    height: 30px;
    border: 3px solid #646cff;
    position: relative;
    &:checked {
      border: 3px solid #959595;
      background: #ececec;
    }

    &:before {
      content: "";
      width: 70%;
      height: 70%;
      position: absolute;
      transform: scale(0);
      box-shadow: inset 1em 1em #959595;
      clip-path: polygon(100% 8%, 100% 30%, 38% 100%, 0 63%, 0 39%, 38% 74%);

      left: 15%;
      top: 15%;
    }

    &:checked::before {
      transform: scale(1);
    }
  }
}

.logo {
  height: 6em;
  padding: 1.5em;
  will-change: filter;
  transition: filter 300ms;
}
.logo:hover {
  filter: drop-shadow(0 0 2em #646cffaa);
}
.logo.react:hover {
  filter: drop-shadow(0 0 2em #61dafbaa);
}

@keyframes logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

@media (prefers-reduced-motion: no-preference) {
  a:nth-of-type(2) .logo {
    animation: logo-spin infinite 20s linear;
  }
}

.card {
  padding: 2em;
}

.read-the-docs {
  color: #888;
}
